Data - Retrieve Object Data
Haalt objecten op op basis van de opgegeven criteria.
POST http://<Servername>/OperationsManager/data/scomObjects
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| criteria |
string |
Geef de criteria op om te zoeken. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Objecten zijn opgehaald op basis van de opgegeven criteria. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
RetrieveSCOMObjects
Voorbeeldaanvraag
POST http://<Servername>/OperationsManager/data/scomObjects
[
"DisplayName LIKE '%unix%'"
]
Voorbeeldrespons
{
"scopeDatas": [
{
"id": "dfc9175d-c0bc-4166-7e0a-0f40c4d4fc6e",
"displayName": "UNIX/Linux Computer Group",
"className": "UNIX/Linux Computer Group",
"path": null,
"fullName": "Microsoft.Unix.ComputerGroup"
}
]
}
Definities
| Name | Description |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Name | Type | Description |
|---|---|---|
| className |
string |
Klassenaam |
| displayName |
string |
Weergavenaam |
| fullName |
string |
Volledige naam |
| id |
string |
ID-kaart |
| path |
string |
Pad |
ScopeDataResponse
| Name | Type | Description |
|---|---|---|
| scopeDatas |
Reikwijdte gegevens |